Subject: [Geopriv] Review of draft-bellis-geopriv-flow-identity-01

From: "Winterbottom, James" <[email-masked]>
Date: Mon, 27 Aug 2012 09:58:39 +0800

Hi All,

Here is my review of draft-bellis-geopriv-flow-identity-01.

I like the draft and I think it is clear and to the point.

Given that way that the flow element is defined I think it would be good to explicitly indicate that it deprecates the use of the port number as shown in the example in section 3.3 of RFC6155. This will ensure that we really only get flows specified using one data structure type.

I think it would be useful if the IP address data type used in the flow draft was defined in the same way the IP address type in RFC6155 so that we have some consistency.

Otherwise, it seems in good shape.

Cheers
James

---

From: Ray Bellis <[email-masked]>
Date: Tue, 28 Aug 2012 09:11:33 +0000

On 27 Aug 2012, at 02:58, "Winterbottom, James" <[email-masked]<mailto:[email-masked]>> wrote:

Hi All,

thanks :)

Are there situations where the 6155 format may be useful and where the full tuple in my draft cannot be obtained?

I certainly don't mind deprecating that part of 6155 if appropriate.  I think I actually had that in mind when I specified that this draft would update 6155, since the draft doesn't otherwise do so at the moment.

This is a deliberate design decision.

The idea of moving the v="n" attribute out of the <ip> element (and then not using the <ip> element) is to ensure that the protocol version cannot appear mismatched between the <src> and <dst> elements.  The protocol is more logically (IMHO) an attribute of the flow and not of the endpoints.

kind regards,

Ray